/* Start Global Rules */
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --main-color: #F0EDE1;
  --colorText: #2C2D2A;
  --text-color: #4a6870;
  --main-transition: 0.3s;
  --main-padding-top: 100px;
  --main-padding-bottom: 100px;
  --section-background: #F0EDE2;
}

::selection {
  background: var(--colorText);
  color: #fff;
}

html {
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

/* container */
.container {
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}

/* @media */
/* Small */
@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}

/* Medium */
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}

/* Large */
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}

/* @media */
/* container */
.main-title {
  text-transform: uppercase;
  margin: 0 auto 80px;
  border: 3px double var(--colorText);
  padding: 10px 20px;
  font-size: 30px;
  width: fit-content;
  position: relative;
  z-index: 1;
  transition: var(--main-transition);
}

.main-title::before,
.main-title::after {
  content: "";
  width: 10px;
  height: 10px;
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
  background-color: var(--colorText);
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.main-title::before {
  left: -30px;
}

.main-title::after {
  right: -17px;
}

.main-title:hover::before {
  z-index: -1;
  animation: move 0.5s linear forwards;
}

.main-title:hover {
  color: var(--main-color);
  border: 3px double white;
  transition-delay: 0.5s;
}

.spikes {
  position: relative;
}

.spikes::after {
  content: "";
  position: absolute;
  right: 0;
  width: 100%;
  height: 30px;
  z-index: 1;
  background-image: linear-gradient(135deg, white 25%, transparent 25%),
  linear-gradient(225deg, white 25%, transparent 25%);
  background-size: 30px 30px;
}

/* End Global Rules */
/* Start Header */
.header {
  background: var(--colorText);
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  position: relative;
}

.header .logo {
  color: var(--main-color);
  font-size: 26px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: var(--main-transition);
}

.header .logo:hover {
  color: var(--text-color)
}

.header .logo i {
  margin-right: 15px;
  transition: var(--main-transition);
}

@media (max-width: 767px) {
  .header .logo {
    width: 100%;
    height: 40px;
  }
}

.header .main-nav {
  display: flex;
}

@media (max-width: 767px) {
  .header .main-nav {
    margin: auto;
  }
}

.header .main-nav > li:hover .mega-menu {
  opacity: 1;
  z-index: 100;
  top: 100%;
}

.header .main-nav > li > a {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 58px;
  position: relative;
  color: var(--main-color);
  padding: 0 30px;
  overflow: hidden;
  font-size: 18px;
  transition: var(--main-transition);
}

.header .main-nav > li > a i {
  margin-left: 5px;
}

@media (max-width: 767px) {
  .header .main-nav > li > a {
    padding: 10px;
    font-size: 16px;
    height: 40px;
  }
}

/* Hover one li */
.header .main-nav > li > a::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 4px;
  background-color: var(--main-color);
  top: 0;
  left: -100%;
  transition: var(--main-transition);
}

.header .main-nav > li > a:hover {
  color: var(--colorText);
  background-color: var(--main-color);
}

.header .main-nav > li > a:hover::before {
  left: 0;
}

.header .mega-menu {
  position: absolute;
  width: 100%;
  left: 0;
  padding: 30px;
  background-color: var(--colorText);
  border-bottom: 3px solid var(--main-color);
  z-index: -1;
  display: flex;
  gap: 40px;
  top: calc(100% + 50px);
  opacity: 0;
  transition: top var(--main-transition), opacity var(--main-transition);
}

@media (max-width: 767px) {
  .header .mega-menu {
    flex-direction: column;
    gap: 0;
    padding: 5px;
  }
}

.header .mega-menu .image img {
  max-width: 100%;
  height: 250px;
  width: 350px;
}

@media (max-width: 991px) {
  .header .mega-menu .image {
    display: none;
  }
}

.header .mega-menu .links {
  min-width: 250px;
  flex: 1;
}

.header .mega-menu .links li {
  position: relative;
}

.header .mega-menu .links li:not(:last-child) {
  border-bottom: 1px solid #e9e6e6;
}

@media (max-width: 767px) {
  .header .mega-menu .links:first-of-type li:last-child {
    border-bottom: 1px solid #e9e6e6;
  }
}

.header .mega-menu .links li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 0;
  height: 100%;
  background-color: var(--main-color);
  z-index: -1;
  transition: var(--main-transition);
}

.header .mega-menu .links li:hover::before {
  width: 100%;
}

.header .mega-menu .links li a {
  color: var(--main-color);
  padding: 15px;
  display: block;
  font-size: 18px;
  font-weight: bold;
}

.header .mega-menu .links li a:hover {
  color: var(--colorText);
}

.header .mega-menu .links li a i {
  margin-right: 10px;
}

/* End Header */
/* Start Landing */
.landing {
  position: relative;
  background: url(../img/landing1.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  clip-path: polygon(0% 0%, 100% 0%, 100% 75%, 99% 93%, 68% 98%, 31% 95%, 0 98%);
}

.landing .container {
  min-height: calc(100vh - 72px);
  display: flex;
  align-items: center;
  padding-bottom: 120px;
}

.landing .text {
  flex: 1;
}

@media (max-width: 991px) {
  .landing .container {
    display: flex;
    flex-direction: column;
  }

  .landing .text {
    text-align: center;
    margin-top: 50px;
  }
}

.landing .text h1 {
  font-size: 40px;
  margin: 0;
  letter-spacing: -2px;
  color: var(--main-color);
}

@media (max-width: 767px) {
  .landing .text h3 {
    font-size: 28px;
  }
}

.landing .text p {
  font-size: 23px;
  line-height: 1.7;
  margin: 5px 0 0;
  color: var(--main-color);
  max-width: 500px;
}

@media (max-width: 991px) {
  .landing .text p {
    margin: 10px auto;
  }
}

@media (max-width: 767px) {
  .landing .text p {
    font-size: 18px;
  }
}

.landing .image img {
  position: relative;
  width: 600px;
  animation: up-and-down 5s linear infinite;
  margin-top: 20px;
  height: 450px;
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
}

@media (max-width: 991px) {
  .landing .image img {
    max-width: 100%;
  }
}

.landing .go-down {
  color: var(--colorText);
  position: absolute;
  bottom: 15px;
  left: 50%;
  transform: translateX(-50%);
  transition: var(--main-transition);
}

.landing .go-down:hover {
  color: var(--main-color);
}

.landing .go-down i {
  animation: bouncing 1.5s infinite;
}

/* End Landing */
/* Start Articles */
.articles {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}

.articles .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
  gap: 40px;
}

.articles .box {
  box-shadow: 0 2px 15px rgb(0 0 0 / 10%);
  background-color: white;
  border-radius: 6px;
  overflow: hidden;
  transition: transform var(--main-transition), box-shadow var(--main-transition);
}

.articles .box:hover {
  transform: translateY(-10px);
  box-shadow: 0 2px 15px rgb(0 0 0 / 20%);
}

.articles .box img {
  width: 100%;
  max-width: 100%;
  height: 235px;
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
  transition: var(--main-transition);
}

.articles .box:hover img {
  border-radius: 0px;
}

.articles .box .content {
  padding: 20px;
}

.articles .box .content h3 {
  margin: 0;
}

.articles .box .content p {
  margin: 10px 0 0;
  line-height: 1.5;
  color: var(--colorText);
}

.articles .box .info {
  padding: 20px;
  border-top: 1px solid #e6e6e7;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.articles .box .info a {
  color: var(--text-color);
  font-weight: bold;
}

.articles .box .info i {
  color: var(--colorText);
}

.articles .box:hover .info i {
  animation: moving-arrow 0.6s linear infinite;
}

/* End Articles */
/* Start Gallery */
.gallery {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}

.gallery .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 40px;
}

.gallery .box {
  padding: 15px;
  background-color: white;
  box-shadow: 0px 12px 20px 0px rgb(0 0 0 / 13%), 0px 2px 4px 0px rgb(0 0 0 / 12%);
}

.gallery .box .image {
  position: relative;
  overflow: hidden;
}

.gallery .box .image::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgb(255 255 255 / 20%);
  width: 0;
  height: 0;
  opacity: 0;
  z-index: 2;
}

.gallery .box .image:hover::before {
  animation: flashing 0.7s;
}

.gallery .box img {
  width: 100%;
  height: 215px;
  transition: var(--main-transition);
}

.gallery .box .image:hover img {
  transform: rotate(5deg) scale(1.1);
}

/* End Gallery */
/* Start Features */
.features {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: white;
}

.features .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 40px;
}

.features .box {
  text-align: center;
  border: 1px solid var(--colorText);
}

.features .box .img-holder {
  position: relative;
  overflow: hidden;
}

.features .box .img-holder::before {
  content: "";
  position: absolute;
  left: 0;
  top: -1px;
  width: 100%;
  height: 100%;
}

.features .box .img-holder::after {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  border-style: solid;
  border-width: 0px 0px 150px 365px;
  border-color: transparent transparent white transparent;
  transition: var(--main-transition);
}

.features .box .img-holder img {
  max-width: 100%;
}

.features .box:hover .img-holder::after {
  border-width: 170px 500px 170px 0;
}

.features .box h2 {
  color: var(--text-color);
  position: relative;
  font-size: 40px;
  margin: auto;
  width: fit-content;
}

.features .box h2::after {
  content: "";
  position: absolute;
  bottom: -20px;
  left: 15px;
  height: 5px;
  width: calc(100% - 30px);
  background: var(--main-color);
}

.features .box p {
  line-height: 2;
  font-size: 20px;
  margin: 30px 0;
  padding: 25px;
  color: var(--colorText);
}

.features .box a {
  display: block;
  border: 3px solid var(--colorText);
  color: var(--colorText);
  background: transparent;
  width: fit-content;
  margin: 0 auto 30px;
  font-weight: bold;
  font-size: 22px;
  padding: 10px 30px;
  border-radius: 6px;
  transition: var(--main-transition);
  position: relative;
  z-index: 2;
}

.features .box a::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 0%;
  height: 100%;
  background: var(--colorText);
  transition: var(--main-transition);
}

.features .box a:hover {
  color: var(--main-color);
}

.features .box a:hover:before {
  width: 100%;
}

/* End Features */
/* Start Testimonials */
.testimonials {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}

.testimonials .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 40px;
}

.testimonials .box {
  padding: 20px;
  background-color: white;
  box-shadow: 0 2px 4px rgb(0 0 0 / 7%);
  border-radius: 6px;
  position: relative;
}

.testimonials .box img {
  position: absolute;
  right: -10px;
  top: -20px;
  width: 125px;
  height: 125px;
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
  transition: var(--main-transition);
}

.testimonials .box:hover img {
  border-radius: 50%;
}

.testimonials .box h3 {
  margin: 0 0 10px;
}

.testimonials .box .title {
  color: #777;
  margin-bottom: 10px;
  display: block;
}

.testimonials .box .rate .filled {
  color: #ffc107;
}

.testimonials .box p {
  line-height: 1.5;
  color: #777;
  margin-top: 10px;
  margin-bottom: 0;
}

/* End Testimonials */
/* Start Team */
.team {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}

.team .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
}

.team .box {
  position: relative;
}

.team .box::before,
.team .box::after {
  content: "";
  background-color: var(--colorText);
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  border-radius: 10px;
  transition: var(--main-transition);
}

.team .box::before {
  width: calc(100% - 30px);
  z-index: -2;
}

.team .box::after {
  z-index: -1;
  background-color: var(--main-color);
  width: 0;
}

.team .box:hover::after {
  width: calc(100% - 30px);
}

.team .box .data {
  display: flex;
  align-items: center;
  padding-top: 60px;
}

.team .box .data img {
  width: calc(100% - 60px);
  transition: var(--main-transition);
  border-radius: 10px;
}

.team .box:hover img {
  filter: grayscale(100%);
}

.team .box .data .social {
  width: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.team .box .data .social a {
  width: 60px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.team .box:hover .data .social a i {
  color: var(--colorText);
}

.team .box .data .social a:hover i {
  color: var(--main-color);
}

.team .box .data .social i {
  color: var(--main-color);
  transition: var(--main-transition);
}

.team .box .info {
  padding-left: 80px;
}

.team .box .info h3 {
  margin-bottom: 0;
  color: var(--text-color);
  font-size: 22px;
  transition: var(--main-transition);
}

.team .box .info p {
  margin-top: 10px;
  margin-bottom: 25px;
  color: #777;
}

.team .box:hover .info h3 {
  color: #777;
}

/* End Team */
/* Start Services */
.services {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}

.services .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 40px;
}

.services .box {
  background-color: white;
  box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 rgb(0 0 0 / 12%);
  counter-increment: services;
  transition: var(--main-transition);
  position: relative;
}

.services .box::before {
  content: "";
  left: 50%;
  transform: translateX(-50%);
  height: 3px;
  top: -3px;
  background-color: var(--main-color);
  position: absolute;
  width: 0;
  transition: var(--main-transition);
}

.services .box:hover {
  transform: translateY(-10px);
}

.services .box:hover::before {
  width: 100%;
}

.services .box > i {
  margin: 30px auto 20px;
  display: block;
  text-align: center;
  color: var(--main-color);
}

.services .box > h3 {
  text-align: center;
  margin: 20px 0 40px;
  font-size: 25px;
  color: var(--colorText);
}

.services .box .info {
  padding: 15px;
  position: relative;
  background-color: #f9f9f9;
  text-align: right;
}

.services .box .info::before {
  content: "0" counter(services);
  position: absolute;
  background-color: var(--main-color);
  color: var(--colorText);
  left: 0;
  top: 0;
  height: 100%;
  width: 80px;
  font-size: 30px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-right: 15px;
}

.services .box .info::after {
  content: "";
  position: absolute;
  background-color: var(--colorText);
  top: 0;
  left: 80px;
  width: 50px;
  height: calc(100% + 0.4px);
  transform: skewX(-30deg);
}

.services .box .info a {
  color: var(--colorText);
}

/* End Services */
/* Start Accuracys */
.our-accuracys {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}

.our-accuracys .container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.our-accuracys img {
  max-width: 100%;
  width: 300px;
  height: 100%;
}

@media (max-width: 991px) {
  .our-accuracys img {
    display: none;
  }
}

.our-accuracys .accuracys {
  flex: 1;
}

.our-accuracys .accuracy h3 {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.our-accuracys .accuracy h3 span {
  font-size: 12px;
  border: 1px solid var(--colorText);
  padding: 3px 5px;
  border-radius: 4px;
  color: var(--colorText);
}

.our-accuracys .accuracy .the-progress {
  height: 30px;
  background-color: var(--text-color);
  position: relative;
}

.our-accuracys .accuracy .the-progress span {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  background-color: var(--main-color);
  transition: width 0.5s linear;
}

/* End Accuracys */
/* Start Work Steps */
.work-steps {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  background-color: var(--section-background);
  position: relative;
}

.work-steps .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

@media (max-width: 991px) {
  .work-steps .container {
    flex-direction: column;
  }
}

.work-steps .image {
  width: 400px;
  max-width: 100%;
  margin-right: 100px;
}

@media (max-width: 991px) {
  .work-steps .image {
    margin: 0 0 50px;
  }
}

.work-steps .info .box {
  background-color: white;
  padding: 30px;
  margin-bottom: 20px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  border: 2px solid white;
  position: relative;
  z-index: 1;
}

@media (max-width: 767px) {
  .work-steps .info .box {
    flex-direction: column;
    text-align: center;
  }
}

.work-steps .info .box::before {
  content: "";
  left: 50%;
  top: 50%;
  position: absolute;
  width: 0;
  height: 0;
  transform: translate(-50%, -50%);
  background-color: var(--colorText);
  z-index: -1;
  transition: var(--main-transition);
}

.work-steps .info .box:hover::before {
  width: 100%;
  height: 100%;
}

.work-steps .info .box img {
  width: 64px;
  margin-right: 30px;
}

@media (max-width: 767px) {
  .work-steps .info .box img {
    margin: 0 0 30px;
  }
}

.work-steps .info .box h3 {
  margin: 0;
  font-size: 22px;
  color: var(--text-color);
}

.work-steps .info .box p {
  color: #777;
  line-height: 1.7;
  margin: 10px 0 0;
  font-size: 18px;
}

/* End Work Steps */
/* Start Events */
.events {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}

.events .container {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 30px;
}

.events img {
  max-width: 450px;
}

@media (max-width: 991px) {
  .events img {
    display: none;
  }
}

.events .info {
  flex: 1;
}

.events .info .time {
  display: flex;
  align-items: center;
  margin: 20px auto;
  gap: 10px;
  justify-content: center;
}

.events .info .time .unit {
  border: 1px solid #d4d4d4;
  border-radius: 6px;
  text-align: center;
  width: 75px;
  transition: var(--main-transition);
}

.events .info .time .unit span {
  display: block;
  transition: var(--main-transition);
}

.events .info .time .unit span:first-child {
  font-size: 35px;
  padding: 15px;
  color: var(--main-color);
  font-weight: bold;
}

.events .info .time .unit span:last-child {
  padding: 8px 10px;
  font-size: 13px;
  border-top: 1px solid #d4d4d4;
}

.events .info .time .unit:hover,
.events .info .time .unit:hover span:last-child {
  border-color: var(--main-color);
}

.events .title {
  text-align: center;
  margin: 40px 0 0;
  font-size: 30px;
}

.events .description {
  text-align: center;
  line-height: 1.7;
  font-size: 19px;
  color: #777;
}

.events .subscribe {
  width: 100%;
  margin-top: 50px;
}

.events .subscribe form {
  width: 600px;
  margin: 20px auto;
  padding: 40px 50px;
  background-color: var(--colorText);
  border-radius: 10px;
  display: flex;
  gap: 20px;
}

@media (max-width: 767px) {
  .events .subscribe form {
    max-width: 100%;
    padding: 20px;
    flex-direction: column;
    border-radius: 0;
  }
}

.events .subscribe form input[type="email"] {
  padding: 20px;
  border-radius: 10px;
  border: none;
  flex: 1;
  caret-color: var(--main-color);
  height: 40px;
  padding: 20px;
}

@media (max-width: 767px) {
  .events .subscribe form input[type="email"] {
    border-radius: 0;
  }
}

.events .subscribe form input[type="email"]:focus {
  outline: none;
}

.events .subscribe form input[type="email"]::placeholder {
  transition: opacity var(--main-transition);
}

.events .subscribe form input[type="email"]:focus::placeholder {
  opacity: 0;
}

.events .subscribe form input[type="submit"] {
  border-radius: 10px;
  border: none;
  background-color: var(--main-color);
  color: var(--text-color);
  font-weight: bold;
  cursor: pointer;
  transition: var(--main-transition);
  height: 40px;
  width: 100px;
}

@media (max-width: 767px) {
  .events .subscribe form input[type="submit"] {
    border-radius: 0;
  }
}

.events .subscribe form input[type="submit"]:hover {
  background-color: var(--main-color);
}

/* End Events */
/* Start excerpt */
.excerpt {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  background-color: var(--section-background);
  position: relative;
}

.excerpt .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
}

.excerpt .box {
  position: relative;
  box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 rgb(0 0 0 / 12%);
  transition: var(--main-transition);
  z-index: 1;
}

.excerpt .box img {
  width: 100%;
  height: 100%;
}

.excerpt .box.vertical .label {
  position: absolute;
  right: 10px;
  top: -10px;
  writing-mode: vertical-rl;
  background-color: var(--text-color);
  color: var(--main-color);
  font-weight: bold;
  padding: 10px 10px 35px 10px;
  font-size: 16px;
  width: 40px;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 50% 85%, 0 100%);
}

/* End excerpt */
/* Start Videos */
.videos {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
}

.videos .holder {
  display: flex;
  justify-content: center;
  background-color: var(--section-background);
  border: 1px solid #ddd;
}

@media (max-width: 991px) {
  .videos .holder {
    flex-direction: column;
  }
}

.videos .holder .list {
  min-width: 300px;
  background-color: white;
}

.videos .holder .list .name {
  display: flex;
  justify-content: space-between;
  padding: 20px;
  background-color: var(--colorText);
  color: var(--main-color);
  font-weight: bold;
}

.videos .holder .list .name i {
  cursor: pointer;
}

.videos .holder .list .name i:hover {
  color: var(--text-color);
}

.videos .holder .list ul li {
  padding: 20px;
  border-top: 1px solid var(--colorText);
  background: var(--main-color);
  color: var(--colorText);
  cursor: pointer;
  transition: var(--main-transition);
}

.videos .holder .list ul li:hover {
  background-color: #fafafa;
  color: var(--text-color);
}

.videos .holder .list ul li span {
  display: block;
  margin-top: 10px;
  color: #777;
}

.videos .holder .preview {
  background-color: var(--colorText);
  padding: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.videos .holder .preview img {
  max-width: 100%;
}

.videos .holder .preview .info {
  padding: 20px;
  background-color: #ffffff;
  margin-top: 10px;
}

/* End Videos */
/* Start Stats */
.stats {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-image: url("../img/bigt.jpg");
  background-size: cover;
  min-height: 300px;
}

.stats::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: var(--main-color);
}

.stats h2 {
  font-weight: bold;
  font-size: 40px;
  width: fit-content;
  margin: 0 auto 50px;
  position: relative;
}

.stats .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 20px;
}

.stats .box {
  background-color: white;
  padding: 30px 15px;
  text-align: center;
  position: relative;
  opacity: 0.8;
  transition: var(--main-transition);
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
}

.stats .box::before,
.stats .box::after {
  content: "";
  position: absolute;
  border: 2px solid var(--text-color);
  transition: 1s;
  height: 0;
}

.stats .box::before {
  top: 0;
  right: 0;
}

.stats .box::after {
  left: 0;
  bottom: 0;
}

.stats .box:hover {
  opacity: 1;
}

.stats .box:hover::before,
.stats .box:hover::after {
  height: 50%;
}

.stats .box .number {
  display: block;
  font-size: 50px;
  font-weight: bold;
  margin-top: 10px;
  margin-bottom: 10px;
}

.stats .box .text {
  color: var(--text-color);
  font-style: italic;
  font-size: 20px;
  font-weight: bold;
}

/* End Stats */
/* Start Contacts */
.contacts {
  min-height: 100vh;
  display: flex;
  flex-wrap: wrap;
  border-top: 5px solid white;
}

.contacts .image {
  background-image: url(../img/books-cafe-4.jpg);
  background-size: cover;
  color: white;
  flex-basis: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 1;
  animation: change-background 10s linear infinite;
}

.contacts .image::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(240, 237, 225, .8);
  z-index: -1;
}

@media (max-width: 991px) {
  .contacts .image {
    flex-basis: 100%;
  }
}

.contacts .form {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-basis: 50%;
  padding-bottom: 50px;
}

@media (max-width: 991px) {
  .contacts .form {
    flex-basis: 100%;
  }
}

.contacts .form .input {
  display: block;
  width: 100%;
  margin-bottom: 25px;
  padding: 15px;
  border: none;
  border-bottom: 1px solid var(--text-color);
  background-color: #f9f9f9;
  caret-color: var(--main-color);
}

.contacts .form textarea.input {
  resize: none;
  height: 200px;
}

.contacts .form .input:focus {
  outline: none;
}

.contacts .form [type="submit"] {
  display: block;
  width: 100%;
  padding: 15px;
  background-color: var(--main-color);
  color: var(--text-color);
  font-weight: bold;
  font-size: 20px;
  border: none;
  cursor: pointer;
  transition: var(--main-transition);
  border-bottom: 2px solid var(--text-color);
}

.contacts .form [type="submit"]:hover {
  background-color: var(--main-color);
}

.contacts .content {
  text-align: center;
  padding: 0 20px;
}

.contacts .content h2 {
  font-size: 40px;
  letter-spacing: -2px;
  color: var(--colorText);
}

.contacts .content p {
  line-height: 1.6;
  font-size: 18px;
  max-width: 500px;
  color: var(--text-color);
}

.contacts .content img {
  width: 300px;
  max-width: 100%;
}

/* End contacts */
/* Start Footer */
.footer {
  background-color: var(--colorText);
  padding: 70px 0 0;
}

@media (max-width: 767px) {
  .footer {
    text-align: center;
  }
}

.footer .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 40px;
}

.footer .box h3 {
  color: var(--main-color);
  font-size: 30px;
  margin: 0 0 20px;
  transition: var(--main-transition);
  cursor: pointer;
}

.footer .box h3:hover {
  color: var(--text-color);
}

.footer .box h3 i {
  margin-right: 10px;
}

.footer .box .social {
  display: flex;
}

@media (max-width: 767px) {
  .footer .box .social {
    justify-content: center;
  }
}

.footer .box .social li {
  margin-right: 10px;
}

.footer .box .social li a {
  background-color: var(--main-color);
  color: var(--text-color);
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 33px;
  height: 33px;
  font-size: 20px;
  transition: var(--main-transition);
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
}

.footer .box .social li:hover a {
  background-color: var(--text-color);
  color: var(--main-color);
}

.footer .box .text {
  line-height: 2;
  color: var(--main-color);
}

.footer .box .links li {
  padding: 15px 0;
  transition: var(--main-transition);
}

.footer .box .links li:not(:last-child) {
  border-bottom: 1px solid #444;
}

.footer .box .links li:hover {
  padding-left: 10px;
}

.footer .box .links li:hover a {
  color: white;
}

.footer .box .links li a {
  color: var(--main-color);
  transition: var(--main-transition);
}

.footer .box .links li a::before {
  font-family: "Font Awesome 5 Free", fantasy;
  content: "\f124";
  font-weight: 900;
  margin-right: 10px;
  color: var(--main-color);
}

.footer .box .line {
  display: flex;
  align-items: center;
  color: var(--main-color);
  margin-bottom: 30px;
}

@media (max-width: 767px) {
  .footer .box .line {
    flex-direction: column;
  }
}

.footer .box .line i {
  font-size: 25px;
  color: var(--main-color);
  margin-right: 10px;
}

@media (max-width: 767px) {
  .footer .box .line i {
    margin-right: 0;
    margin-bottom: 15px;
  }
}

.footer .box .line .info {
  line-height: 1.7;
  flex: 1;
}

.footer .box .line .info span {
  display: block;
}

.footer .footer-gallery img {
  width: 74px;
  height: 70px;
  border: 3px solid var(--main-color);
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
  margin: 4px;
  cursor: pointer;
  transition: var(--main-transition);
}

.footer .footer-gallery img:hover {
  transform: scale(1.2);
}

.footer .copyright {
  padding: 20px 0;
  text-align: center;
  color: var(--main-color);
  margin: 30px 0 0;
  border-top: 1px solid var(--main-color);
}

/* End Footer */
/* Start Animation */
@keyframes up-and-down {
  0%, 100% {
    bottom: 0;
  }
  50% {
    bottom: -50px;
  }
}

@keyframes bouncing {
  0%, 10%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40%, 60% {
    transform: translateY(-15px);
  }
}

@keyframes move {
  50% {
    left: 0;
    width: 12px;
    height: 12px;
    border-radius: 0;
  }
  100% {
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 0;
  }
}

@keyframes moving-arrow {
  100% {
    transform: translateX(10px);
  }
}

@keyframes flashing {
  0%, 40% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    width: 200%;
    height: 200%;
  }
}

@keyframes change-background {
  0%, 100% {
    background-image: url("../img/bigt.jpg");
  }
  50% {
    background-image: url("../img/fblack.jpg");
  }
}

/* End Animation */
